Menu

## Record

Record.php : 18

HEXONET Record

### Table of Contents

$data : array<string|int, mixed>
  row data container e.g.
__construct() : mixed
  Constructor e.g.
getData() : array<string|int, mixed>
  get row data
getDataByKey() : string|null
  get row data for given column
hasData() : bool
  check if record has data for given column

### Properties

#### $data

Record.php : 32

row data container e.g.

`private array<string|int, mixed> $data`
`$data = [ "DOMAIN" => "mydomain.com", "USER" => "test.user", // ... further column data ... ];`

### Methods

#### __construct()

Record.php : 46

Constructor e.g.

`public __construct(array<string|int, mixed> $data) : mixed`
`$data = [ "DOMAIN" => "mydomain.com", "USER" => "test.user", // ... further column data ... ];`

##### Parameters

$data : array<string|int, mixed>

  data object

##### Return values

mixed —

#### getData()

Record.php : 55

get row data

`public getData() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

row data

#### getDataByKey()

Record.php : 65

get row data for given column

`public getDataByKey(string $key) : string|null`

##### Parameters

$key : string

  column name

##### Return values

string|null —

row data for given column or null if column does not exist

#### hasData()

Record.php : 78

check if record has data for given column

`private hasData(string $key) : bool`

##### Parameters

$key : string

  column name

##### Return values

bool —

boolean result

## Search results